Subject: Re: bug#27231: regression?: grub-configuration for grub-efi does not return a bootloader-configuration

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sat, 10 Jun 2017 08:59:05 +0200

On Sun, Jun 04, 2017 at 04:25:13PM +0200, pelzflorian (Florian Pelz) wrote:
> On Sun, Jun 04, 2017 at 04:38:11PM +0300, Alex Kost wrote:
> > This is a limitation of 'grub-configuration' macro: that backtrace
> > happened because you have 'grub' field *not* in the first place of your
> > 'grub-configuration'.
> >
> > […]
> >
> > Note that this will work if you put (grub grub-efi) in the first place:
> > 
> >   (grub-configuration (grub grub-efi)
> >                       (device "/dev/sda"))
> >
> 
> Ah… Thank you for clarifying.
> 
>   (bootloader (grub-configuration (grub grub-efi)
>                                   (device "/dev/sda")))
> 
> I just tried and this fails too with the same error. I’m not sure why
> it does not match the syntax rule for grub-configuration.
> 

No, it worked. I must have done something wrong before.

Regards,
Florian